##
##Ajgu, a graphe database in Python for Python users
##Copyright (C) 2010 Amirouche Boubekki <amirouche.boubekki@gmail.com>
##
##This program is free software: you can redistribute it and/or modify
##it under the terms of the GNU Affero General Public License as published by
##the Free Software Foundation, either version 3 of the License, or
##(at your option) any later version.
##
##This program is distributed in the hope that it will be useful,
##but WITHOUT ANY WARRANTY; without even the implied warranty of
##MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##GNU Affero General Public License for more details.
##
##You should have received a copy of the GNU Affero General Public License
##along with this program.  If not, see <http://www.gnu.org/licenses/>.
##

def validate_key(key):
    """validate the key and item"""
    if (not isinstance(key, str)):
        raise LookupError("Key should be a string")
    if (not key == key.split(":")[0]):
        raise LookupError("Key shouldn't contains colon char")            

def validate_private_key(key):
    if (not isinstance(key, str)):
        raise LookupError("Key should be a string")

def validate_property(property):
    if (not isinstance(property, str)):
        raise TypeError("Property should be a string")        
