#! /usr/bin/env python2.6

from distutils.core import setup

from ajgu import __version__
VERSION = "%s.%s.%s" % __version__[0:3]

setup(
    name="ajgu",
    packages=["ajgu", "ajgu.backends"],
    version=VERSION,
    description='Graphe database with several backends architecture in mind',
    author='Amirouche Boubekki',
    author_email='amirouche.boubekki@gmail.com',
    url='http://bitbucket.org/abki/ajgu/',
    download_url= "",
    keywords = ["graphe", "persistence", "database"],
    classifiers = [
        "Programming Language :: Python",
        "Programming Language :: Python :: 2",
        "Operating System :: OS Independent",
        "Topic :: Software Development :: Libraries :: Python Modules",
        "Development Status :: 4 - Beta",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: GNU Affero General Public License v3",
        ],
    )

